> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom Notification Rule

> Create a new AI-powered notification rule. Describe what you want to be notified about in natural language.



## OpenAPI

````yaml post /v1/notifications/custom
openapi: 3.0.0
info:
  description: >-
    REST API for accessing and managing your Nex data. Generate API keys from
    the Nex web UI and use them to authenticate requests.
  title: Nex Developer API
  contact: {}
  version: '1.0'
servers:
  - url: https://app.nex.ai/api/developers
security: []
paths:
  /v1/notifications/custom:
    post:
      tags:
        - Notifications
      summary: Create Custom Notification Rule
      description: >-
        Create a new AI-powered notification rule. Describe what you want to be
        notified about in natural language.
      operationId: createCustomNotificationRule
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/developer.CreateCustomNotificationRuleRequest
        description: Custom notification rule to create
        required: true
      responses:
        '200':
          description: Created custom notification rule
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/developer.CustomNotificationRuleResponse'
        '400':
          description: Bad request - Invalid data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    developer.CreateCustomNotificationRuleRequest:
      type: object
      required:
        - description
      properties:
        description:
          type: string
          description: Natural language description of what you want to be notified about
    developer.CustomNotificationRuleResponse:
      type: object
      properties:
        id:
          type: string
          description: Unique rule ID
        name:
          type: string
          description: Human-readable rule name
        prompt:
          type: string
          description: The natural language prompt describing the notification condition
        is_enabled:
          type: boolean
          description: Whether the rule is currently active
        schedule:
          type: string
          description: Cron-style schedule for rule evaluation
        created_at:
          type: string
          format: date-time
          description: When the rule was created
    httpx.APIError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      description: 'API key for authentication (format: "Bearer YOUR_API_KEY")'
      type: apiKey
      name: Authorization
      in: header

````